#keep level 2 fight #6
from eventAPI import *
from APIUtils import *

rtKeep2Flag6=0

def fireEvent(e):
   global rtKeep2Flag6
   rtKeep2Flag6 = getTag(e, "rtKeep2Flag6")
   if (rtKeep2Flag6 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag6 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Beholder", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag6
   rtKeep2Flag6 = 1
   setTag(e, "rtKeep2Flag6", rtKeep2Flag6)
